---
title: math.y0() function
description: The math.y0() function returns the order-zero Bessel function of the second kind.
menu:
  v2_0_ref:
    name: math.y0
    parent: Math
weight: 301
---

The `math.y0()` function returns the order-zero Bessel function of the second kind.

_**Output data type:** Float_

```js
import "math"

math.y0(x: 3.14)

// Returns 0.3289375969127807
```

## Parameters

### x
The value used in the operation.

_**Data type:** Float_

## Special cases
```js
math.y0(x: +Inf) // Returns 0
math.y0(x: 0)    // Returns -Inf
math.y0(x: <0)   // Returns NaN
math.y0(x: NaN)  // Returns NaN
```
